Servlet Exception

Hi,
I'm getting the following error during compilation :

  • cannot access javax.servlet.ServletException.

bad class file :C:/..../lib/ javaee.jar (javax.servlet.ServletException.class)
class contains wrong version 49.0 should be 48.0
Please remove or make sure it appears on the correct subdirectory of the classpath*

As I'm using jdk1.4 version, I already uncommented the jmx.serial.form=1 in the Idea properties.
Any get arounds for this ?
Thanks,

2 comments
Comment actions Permalink

i am having the same problem as well. Anybody has the solution please help.

0
Comment actions Permalink

Hello brahma,

Hi,
I'm getting the following error during compilation :

  • cannot access javax.servlet.ServletException.

bad class file :C:/..../lib/ javaee.jar
(javax.servlet.ServletException.class)
class contains wrong version 49.0 should be 48.0
Please remove or make sure it appears on the correct subdirectory of
the classpath*

As I'm using jdk1.4 version, I already uncommented the
jmx.serial.form=1 in the Idea properties.
Any get arounds for this ?
Thanks,


Check your module's dependencies. There are probably a dependency on javaee.jar
from IDEA installation. Remove it and add a dependency on j2ee.jar from the
same directory.

Javaee.jar is build with Java 5, while j2ee.jar is done with 1.4.

Alexander.


0

Please sign in to leave a comment.